import 'dart:async';

import 'package:flutter/services.dart';

/// DatetimeSetting
/// Get info about time and timezone,
class DatetimeSetting {
  static const MethodChannel _channel = const MethodChannel('datetime_setting');

  /// Time Is Auto
  /// return true if auto time is checked in setting
  static Future<bool> timeIsAuto() async {
    return await _channel.invokeMethod('timeIsAuto');
  }

  /// TimeZone Is Auto
  /// return true if auto timezone is checked in setting
  static Future<bool> timeZoneIsAuto() async {
    return await _channel.invokeMethod('timeZoneIsAuto');
  }

  /// Setting Time page
  /// launch setting
  static Future<void> openSetting() async {
    return await _channel.invokeMethod('openSetting');
  }
}
